## obs-studio 32.0.4+ds1

=== debian/changelog ===
obs-studio (32.0.4+ds1-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * d/control: restore "Priority: optional". 

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 27 Feb 2026 05:25:47 -0800

obs-studio (32.0.4+ds1-1) unstable; urgency=medium

  * New upstream version 32.0.4+ds1
    * Exclude some Windows-only directories (d3d-API, libdshowcapture)
    * Closes: #1101351, #1098213
  * Depend on qt6-svg-plugins (Closes: #1091910)
  * Enable VST support
  * Fix FTBFS on i386
    + Update 32bit patch
    + Enable SSE2 on i386 (and depend on "sse2-support" for this
  * Configuration
    + Disable -Werror via configure flags
    + Don't attempt to disable non-existing test-suite
  * Make installation of helper-binaries optional
  * Add versioned Breaks/Replaces to obs-studio-common
  * Update copyright information
    + Update missed licenses

  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 22 Feb 2026 14:07:19 +0100

obs-studio (32.0.3+ds-1~exp1) experimental; urgency=medium

  * New upstream version 32.0.4+ds
    + Drop obsolete patches
    + Refresh patches
  * libobs0t64
    + Update symbols file
    + Force soname to 0 (upstream changes ABI but does not bump soname)
  * Re-introduce B-D on libvpl-dev (on amd64), as it is no longer unused.
  * Sort patches: first code, then buildsystem
  * Fix another 32bit FTBFS
  * Re-include 'obs-qsv11' plugin (the license problem has been resolved)
  * Install obs-nvenc-test helper binary into private location
  * Move arch-independent files into obs-studio-common
  * Depend on polkitd rather than deprecated policykit-1
  * Strip internal compiler flags from pkg-config files
  * Skip 'make test' as upstream no longer has a test-suite
  * Slightly restructure setting of additional CPPFLAGS
  * Update Build-Dependencies
    - Drop B-D on obsolete pkg-config
  * Update copyright information
    + Update licenses
    + Drop obsolete excluded files
    + Re-generate d/copyright_hints
  * Remove trailing whitespace from d/changelog
  * Update d/watch to version 5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 21 Feb 2026 21:34:38 +0100
