=== debian/tests/control ===
Test-Command: obs --version && obs --help
Depends: obs-studio
Restrictions: superficial
Features: test-name=version-and-help-output
