=== debian/changelog ===
obs-studio (32.1.0~rc1-0ubuntu1) resolute; urgency=medium

  * New upstream release.
  * d/rules: Fix armhf build
  * Update 32-bit archs patch

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 08 Feb 2026 14:45:30 -0800
