=== debian/changelog ===
obs-studio (32.1.0~rc2-0ubuntu1) resolute; urgency=medium

  * New upstream release.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 28 Feb 2026 11:51:46 -0800
